Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.emfforms.spi.view.annotation.model
Interface VAnnotation

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VAttachment

All Known Implementing Classes:
  VAnnotationImpl

    public interface VAnnotation

extends VAttachment

A representation of the model object 'Annotation'.

The following features are supported:

- `Key`
- `Value`

See Also:
  `VAnnotationPackage.getAnnotation()`

Method Summary
`String` | `getKey()` Returns the value of the 'Key' attribute.
`String` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setKey(String value)` Sets the value of the '`Key` ' attribute.
`void` | `setValue(String value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKey

    String getKey()

  Returns the value of the 'Key' attribute.

  If the meaning of the 'Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `VAnnotationPackage.getAnnotation_Key()`

### setKey

    void setKey(String value)

  Sets the value of the '`Key` ' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`

### getValue

    String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `VAnnotationPackage.getAnnotation_Value()`

### setValue

    void setValue(String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.